Name:          clementine
Version:       1.2.3
Release:       4mamba
Summary:       A modern music player and library organiser
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://code.google.com/p/clementine-player/
Source:        https://github.com/clementine-player/Clementine.git/%{version}/Clementine-%{version}.tar.bz2
#Source:        http://clementine-player.googlecode.com/files/clementine-%{version}.tar.gz
Patch0:        %{name}-0.6-optional-dbus-devicekit.patch
Patch1:        %{name}-0.7.1-glibc-2.31.patch
Patch2:        %{name}-1.0.1-libimobiledevice-1.1.2.patch
Patch3:        clementine-1.2.2-glibc-2.19.patch
Patch4:        clementine-1.2.3-udisks-1.0.5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcdio-devel
BuildRequires: libchromaprint-devel
BuildRequires: libfftw-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libGL-devel
BuildRequires: libglew-devel
BuildRequires: libglib-devel
BuildRequires: libGLU-devel
BuildRequires: libgpod-devel
BuildRequires: libgst-plugins-base010-devel
BuildRequires: libgstreamer010-devel
BuildRequires: libICE-devel
BuildRequires: libimobiledevice-devel
BuildRequires: libmtp-devel
BuildRequires: libopenssl-devel
BuildRequires: libplist-devel
BuildRequires: libqca-devel
BuildRequires: libqjson-devel
BuildRequires: libqt4-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtag-devel
BuildRequires: libusb-devel
BuildRequires: libusbmuxd-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
BuildRequires: protobuf-devel
## AUTOBUILDREQ-END
BuildRequires: libchromaprint-devel >= 1.3.1-1mamba
BuildRequires: libtag-devel >= 1.9.1
BuildRequires: libplist-devel >= 1.11-1mamba
BuildRequires: cmake
BuildRequires: liblastfm-devel >= 0.3.3
BuildRequires: libboost-devel
BuildRequires: protobuf-devel >= 2.4.1
BuildRequires: libavformat-devel
Requires:      udisks
Requires:      upower
Requires:      gst-plugins-good010
Requires:      gst-plugins-ugly010
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Clementine is a modern music player and library organiser. Clementine is a port of Amarok 1.4, with some features rewritten to take advantage of Qt4. 

%prep
%setup -q -n Clementine-%{version}
#-D -T
#:<< _EOF
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
%patch4 -p1

%build
%cmake -d build \
   -DBUILD_WERROR=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
     touch --no-create %{_datadir}/icons/hicolor &>/dev/null
     %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
:

%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root)
%{_bindir}/clementine-tagreader
%{_bindir}/clementine
%{_datadir}/applications/clementine.desktop
%{_datadir}/kde4/services/clementine-*.protocol
%{_datadir}/icons/hicolor/*/apps/application-x-clementine.png
%{_datadir}/icons/hicolor/scalable/apps/application-x-clementine.svg
%dir %{_datadir}/clementine
%dir %{_datadir}/clementine/projectm-presets
%{_datadir}/clementine/projectm-presets/*
%doc COPYING

%changelog
* Tue Mar 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-4mamba
- rebuilt by autoport with build requirements: libchromaprint-devel>=1.3.1-1mamba

* Tue Dec 29 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-3mamba
- mass rebuild with libtag 1.9.1

* Fri Sep 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.3-2mamba
- rebuilt by autoport with build requirements: libplist-devel>=1.11-1mamba

* Sun Apr 27 2014 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Sat Mar 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1mamba
- update to 1.2.2

* Tue Nov 26 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Tue Nov 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- rebuilt with protobuf 2.5.0

* Sun Oct 20 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sun Nov 18 2012 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Sun Oct 28 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- require gst-plugins-good010 and gst-pluguns-ugly010 (devel)

* Sat Oct 27 2012 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Mon Aug 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-2mamba
- rebuilt with protobuf 2.4.1

* Tue May 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1

* Thu Nov 10 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-1mamba
- update to 0.7.1

* Sat Feb 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6-1mamba
- update to 0.6

* Fri Dec 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.3-1mamba
- update to 0.5.3

* Tue Sep 21 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.1-1mamba
- update to 0.5.1

* Mon Sep 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1mamba
- package created by autospec
